Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Credentials Class Reference

SSLIOP-specific implementation of the SecurityLevel2::Credentials interface. More...

`#include <SSLIOP_Credentials.h>`

Inheritance diagram for TAO_SSLIOP_Credentials:

[legend]
Collaboration diagram for TAO_SSLIOP_Credentials:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Credentials (X509 *cert, EVP_PKEY *evp)
| Constructor. More...
virtual SecurityLevel2::Credentials_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA
| Return a duplicate (specifically a deep copy) of this credential object. More...
virtual void * | _tao_QueryInterface (ptr_arith_t type)
## Protected Methods
| ~TAO_SSLIOP_Credentials (void)
| Destructor. More...
## Protected Attributes
Security::AssociationOptions | accepting_options_supported_
| Security association options supported by this Credentials object when accepting client invocations. More...
Security::AssociationOptions | accepting_options_required_
| Security association options required by this Credentials object when accepting client invocations. More...
Security::AssociationOptions | invocation_options_supported_
| Security association options supported by this Credentials object when invoking operations on the target object. More...
Security::AssociationOptions | invocation_options_required_
| Security association options required by this Credentials object when invoking operations on the target object. More...
TAO_SSLIOP_X509_var | x509_
| Reference to the X.509 certificate associated with this SSLIOP Credentials object. More...
TAO_SSLIOP_EVP_PKEY_var | evp_
| Reference to the private key associated with the X.509 certificate. More...

## Detailed Description

SSLIOP-specific implementation of the SecurityLevel2::Credentials interface.

This class encapsulates the X.509 certificate associated with a given a principal.

## Constructor & Destructor Documentation

TAO_SSLIOP_Credentials::TAO_SSLIOP_Credentials | ( | X509 * | cert,
|  | EVP_PKEY * | evp
| ) |

| Constructor.

TAO_SSLIOP_Credentials::~TAO_SSLIOP_Credentials | ( | void |  | ) | `[protected]`

| Destructor. Destructor is protected to enforce proper reference counting. Specifically, this reference counted object should only be deallocated by the reference counting mechanism.

## Member Function Documentation

void * TAO_SSLIOP_Credentials::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object. Reimplemented in TAO_SSLIOP_ReceivedCredentials, and TAO_SSLIOP_TargetCredentials.

SecurityLevel2::Credentials_ptr TAO_SSLIOP_Credentials::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[inline, virtual]`

| Return a duplicate (specifically a deep copy) of this credential object. Returns: Non-zero value if private key is used. Note: Caller owns the returned object. Use a TAO_SSLIOP_EVP_PKEY_var. Reimplemented in TAO_SSLIOP_ReceivedCredentials, and TAO_SSLIOP_TargetCredentials.

## Member Data Documentation

Security::AssociationOptions TAO_SSLIOP_Credentials::accepting_options_required_`[protected]`

| Security association options required by this Credentials object when accepting client invocations. This attribute corresponds to the SSLIOP::target_requires field in the security association options in the SSLIOP tagged component that is embedded in IORs created by SSLIOP-enabled server side ORBs.

Security::AssociationOptions TAO_SSLIOP_Credentials::accepting_options_supported_`[protected]`

| Security association options supported by this Credentials object when accepting client invocations. This attribute corresponds to the SSLIOP::target_supports field in the security association options in the SSLIOP tagged component that is embedded in IORs created by SSLIOP-enabled server side ORBs.

TAO_SSLIOP_EVP_PKEY_var TAO_SSLIOP_Credentials::evp_`[protected]`

| Reference to the private key associated with the X.509 certificate.

Security::AssociationOptions TAO_SSLIOP_Credentials::invocation_options_required_`[protected]`

| Security association options required by this Credentials object when invoking operations on the target object.

Security::AssociationOptions TAO_SSLIOP_Credentials::invocation_options_supported_`[protected]`

| Security association options supported by this Credentials object when invoking operations on the target object.

TAO_SSLIOP_X509_var TAO_SSLIOP_Credentials::x509_`[protected]`

| Reference to the X.509 certificate associated with this SSLIOP Credentials object.

The documentation for this class was generated from the following files:

- SSLIOP_Credentials.h
- SSLIOP_Credentials.cpp